Page MenuHomePhabricator

tests: adjust to the new format in pyflakes output
ClosedPublic

Authored by av6 on Jun 6 2020, 7:31 AM.

Details

Summary

According to the pyflakes' NEWS.rst, the default output format changed
recently:

2.2.0 (2020-04-08)
- Include column information in error messages

So the lines now read:

contrib/perf.py:149:15 undefined name 'xrange'
mercurial/hgweb/server.py:427:13 undefined name 'reload'
mercurial/util.py:2862:24 undefined name 'file'

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

av6 created this revision.Jun 6 2020, 7:31 AM
mjacob added a subscriber: mjacob.Jun 6 2020, 8:43 AM

Personally, I would have used REs in the first place, but since they were already using globs, this LGTM.

mjacob accepted this revision.Jun 6 2020, 8:43 AM
pulkit accepted this revision.Jun 9 2020, 5:00 AM
This revision is now accepted and ready to land.Jun 9 2020, 5:00 AM
This revision was automatically updated to reflect the committed changes.